Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.customer
Interface CustomerProfileManager

All Superinterfaces
  javax.ejb.EJBObject, ProfileManager, Remote

Deprecated

    @Deprecated
    public interface CustomerProfileManager

extends ProfileManager

ProfileManager is a stateless session bean used to access profile values. It coordinates successor searches and mapping properties to different datasources. To provide a successor to the methods which take one, use the profile name of the successor profile. Each profile manager uses only one type as the successor type; for example, when specifying a successor to a UserProfileManager, it assumes the name is a group profile name. Property mapping is done through the deployment descriptor of the ProfileManager session bean. First, the default EntityPropertyManager to be used must have an ejb-ref named ejb/EntityPropertyManager. Any other EntityPropertyManager's to be used must also have ejb-refs. To map properties to a non-default EntityPropertyManager:

- To map an entire property set: create an environment entry called PropertyMapping/<property set name> which is a String that holds the name of the ejb-ref to use for that property set. For example, PropertyMapping/Ldap might have the value ejb/LdapPropertyManager, which is an ejb-ref pointing to an EntityPropertyManager that goes to an ldap server.
- To map a single property: create an environment entry called PropertyMapping/<property set name>.<property name> which is a String that holds the name of the ejb-ref to use for that property. For example, PropertyMapping/Ldap.fax might have the value ejb/CustomerPropertyManager, which is an ejb-ref pointing to an EntityPropertyManager that goes to a customer database table.
  If a property set is mapped to an EntityPropertyManager, and another entry maps one property of that property set to a different EntityPropertyManager, the single property mapping will override the property set mapping. In the previous examples, the LdapPropertyManager would be used for all properties in the Ldap property set except for "fax", which would be retrieved from the CustomerPropertyManager.

  Method Summary

  Methods inherited from interface com.bea.p13n.usermgmt.profile.ProfileManager
  `createProfile, deleteProfile, getAllProfileNames, getJNDIName, getProfileName, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyAsString, getPropertyAsString, getPropertyNoDefault, getSuccessor, getUniqueId, isPropertyValueSet, listAllProfiles, profileExists, removeProperty, removeSuccessor, setProperty, setSuccessor`

  Methods inherited from interface javax.ejb.EJBObject
  `getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.